<!-- <div style="max-width:400px;overflow: auto">
    <div style="position: absolute;top: -45px;right: 0;padding: 10px;height: 42px;overflow: auto;max-width: 80%;">
        <div  *ngFor="let option of filterOptions" style="display:inline;float:left;">
            <div *ngIf="option.selectedValues.length>0">
                <strong class="title">&nbsp;{{option.object_display}} - </strong>
                <span *ngFor="let value of option.values">
                    <span *ngIf="value.selected">{{value.value}},&nbsp; </span>
                </span>
            </div>
        </div>
    </div>
</div> -->
<!-- <div class="main-filter">


    <div class="filter-details">


        <span *ngIf="viewFilterdata.length>0">
            <span class="badge-primary badge badge-secondary"> Filters Applied : </span>
        </span>

        <span class *ngFor="let option of viewFilterdata">
            <span class="badge-primary badge">{{option.name}}</span> - {{option.value}}
        </span>


    </div>

</div> -->





<!-- <button class="btn icon-btn btn-sm btn-default" (click)="openDialog(filterModal,{windowClass: 'modal-fill-in modal-lg modal-lg animate'})"  ngbTooltip="Filters" placement="bottom"> <i class="fas fa-filter icon-primary font-icons"></i> </button> -->

<!-- FILTER POPUP POPUP -->
<!-- <ng-template #filterModal let-c="close" let-d="dismiss" class="modal fade-scale">

        <div class="modal-header filter-head">
            <h3 class="modal-title"> <span class="font-weight-light">Select your filter type</span></h3>

            <button type="button" class="close" (click)="d('Cross click')">&times;</button>
        </div>

        <div class="modal-body filter-body">
             <div class="row-two filter-header">
                                    <div class="col-title">
                                        <h4>Filter Options</h4>
                                        <div class="input-group">
                                            <input class="form-control" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterObj"
                                                (keyup)="onSearchInput($event, 'filterObj')">
                                            <span class="form-btn" *ngIf="searchText_filterObj != ''" (click)="clearSearchText('filterObj')"><i
                                                    class="fa fa-times" aria-hidden="true"></i></span>

                                        </div>
                                    </div>


                                    <div class="col-title">
                                        <h4>Filter Values</h4>
                                        <div class="input-group">
                                            <input class="form-control" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterVal"
                                                (keyup)="onSearchInput($event, 'filterVal')">
                                            <span class="form-btn" *ngIf="searchText_filterVal != ''" (click)="clearSearchText('filterVal')"><i
                                                    class="fa fa-times" aria-hidden="true"></i></span>
                                        </div>

                                        <span class="reset-btn"><i class="fas fa-sync-alt" (click)="resetClick()"></i></span>
                                    </div>
                                </div>



                                <div class="row-three">
                                    <div class="filter-list">
                                        <ul class="list-group">
                                            <li class="list-group-item" *ngFor="let option of filterOptions_copy" [ngClass]="{'active':selectedItem == option}"
                                                (click)="itemSelected(option)">
                                                {{option.object_display}}
                                                <span class="badge float-right">{{option.badge}}</span>
                                            </li>
                                        </ul>
                                    </div>

                                    <div class="filter-list" *ngIf="!selectedItem_copy.datefield" appInfinitescroll (scrolled)="updateScrollPos($event)">
                                        <ul class="list-group">
                                            <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                                                <span *ngIf="!selectedItem_copy.datefield">{{value.value}}</span>
                                                <span *ngIf="!selectedItem_copy.datefield" class="float-right icon-material">
                                                    <i [ngClass]="{'fas fa-check':value.selected}" aria-hidden="true"></i>
                                                </span>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="filter-list" *ngIf="selectedItem_copy.datefield">
                                        <ul class="list-group">
                                            <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                                                <div class="input-group-sm" *ngIf="selectedItem_copy.datefield">
												<input class="form-control" type="date" [value]="selectedItem_copy.values[0].dateValue | date:'yyyy-MM-dd'"
                                    data-date-format="yyyy-MM-dd" (input)="selectedItem_copy.values[0].dateValue = dateValueChanged(selectedItem_copy,$event.target.value)" /> -->

                                    <!-- old picker -->
                                                    <!-- <input class="form-control" style="float:left" placeholder="Select a date"
                                                        ngx-mydatepicker name="mydate" [(ngModel)]="selectedItem_copy.values[0].dateValue"
                                                        [options]="dpOptions" #dp="ngx-mydatepicker" (dateChanged)="dateValueChanged(selectedItem_copy,$event)" />
                                                    <span class="input-group-append d-inline-block picker-group">
                                                        <button type="button" class="btn btn-default btn-sm pick-btn filter-cal" (click)="dp.toggleCalendar()">
                                                            <i class="ion ion-md-calendar" style="cursor: pointer;"></i>
                                                        </button>
                                                        <button type="button" class="btn btn-default btn-sm cle-btn" (click)="dp.clearDate()">
                                                            <i class="ion ion-md-close"></i>
                                                        </button>
                                                    </span> -->
                                    <!-- old picker -->

                                                <!-- </div>
                                            </li>
                                        </ul>
                                   </div>
                                </div>
        </div>

        <div class="modal-footer filter-foot">
               <button type="button" class="btn btn-secondary" (click)="cancelClick()">Cancel</button>
               <button type="button" class="btn btn-secondary" (click)="resetAllClick()">Reset All</button>
               <button type="button" class="btn btn-primary" (click)="applyClick()">Apply</button>
        </div>

</ng-template> -->
    <!-- FILTER POPUP -->







<!--<button class="btn icon-btn btn-sm btn-default  " (click)="openFilterWindow()"  ngbTooltip="Filters" placement="bottom">
    <i class="fas fa-filter icon-primary font-icons"></i>
</button> -->

<div class="app-filter-content" style='width:100% !important'>

    <div class="row-two filter-header">
        <div class="col-title px-3 py-2">
            <label class="form-label label-material">Filter Options</label>
            <div class="input-group">
                <input class="form-control form-material" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterObj"
                    (keyup)="onSearchInput($event, 'filterObj')">
                <span class="form-btn" *ngIf="searchText_filterObj != ''" (click)="clearSearchText('filterObj')"><i
                        class="fa fa-times" aria-hidden="true"></i></span>

            </div>
        </div>


        <div class="col-title px-3 py-2" style="border-left:1px solid #e7e7e7">
            <label class="form-label label-material">Filter Values</label>      
            <div class="input-group">
                <input class="form-control form-material" placeholder="Search for..." type="text" [(ngModel)]="searchText_filterVal"
                    (keyup)="onSearchInput($event, 'filterVal')">
                <span class="form-btn" *ngIf="searchText_filterVal != ''" (click)="clearSearchText('filterVal')"><i
                        class="fa fa-times" aria-hidden="true"></i></span>
            </div>

           

            <!-- <span class="reset-btn"><i class="fas fa-sync-alt" (click)="resetClick()"></i></span> -->
            

            <div *ngIf="!isdateField" class="select_all float-right ml-2" style="padding-top: 7px;">
                    <!-- <label><input type="checkbox" [(ngModel)]="isSelectAll" [checked]="isSelectAll" (change)="selectAll()"> Select/UnSelect All</label> -->

            <label class="custom-control custom-checkbox m-0">
        <input type="checkbox" class="custom-control-input" name="Select/UnSelect All" [(ngModel)]="isSelectAll" [checked]="isSelectAll" (change)="selectAll()">
                        <span class="custom-control-label checkbox-label">Select All</span>
                      </label>
                   </div>
                <div class="float-right mt-2 mr-2 text-dark" style="padding-top: 4px;"><i class="fas fa-sync-alt" (click)="resetClick()"></i></div>



        </div>
    </div>



    <div class="row-three">
        <div class="filter-list">
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let option of filterOptions_copy" [ngClass]="{'active':selectedItem == option}"
                    (click)="itemSelected(option)">
                    {{option.object_display}}
                    <span class="badge float-right">{{option.badge}}</span>
                </li>
            </ul>
        </div>

        <div class="filter-list" *ngIf="selectedItem_copy && !selectedItem_copy.datefield" appInfinitescroll (scrolled)="updateScrollPos($event)">
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                    <span *ngIf="!selectedItem_copy.datefield">{{value.value}}</span>
                    <span *ngIf="!selectedItem_copy.datefield" class="float-right icon-material">
                        <i [ngClass]="{'fas fa-check':value.selected}" aria-hidden="true"></i>
                    </span>
                </li>
            </ul>
        </div>
        <div class="filter-list" *ngIf="selectedItem_copy && selectedItem_copy.datefield">
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let value of selectedItem_copy.values" (click)="multiValueChanged(selectedItem_copy, value)">
                    <div class="input-group-sm" *ngIf="selectedItem_copy.datefield">

                            <input class="form-control" type="date" [value]="selectedItem_copy.values[0].dateValue | date:'yyyy-MM-dd'"
                            data-date-format="yyyy-MM-dd" (input)="selectedItem_copy.values[0].dateValue = dateValueChanged(selectedItem_copy,$event.target.value)" />

                        <!-- <input class="form-control" style="float:left" placeholder="Select a date"
                            ngx-mydatepicker name="mydate" [(ngModel)]="selectedItem_copy.values[0].dateValue"
                            [options]="dpOptions" #dp="ngx-mydatepicker" (dateChanged)="dateValueChanged(selectedItem_copy,$event)" />
                        <span class="input-group-append d-inline-block picker-group">
                            <button type="button" class="btn btn-default btn-sm pick-btn filter-cal" (click)="dp.toggleCalendar()">
                                <i class="ion ion-md-calendar" style="cursor: pointer;"></i>
                            </button>
                            <button type="button" class="btn btn-default btn-sm cle-btn" (click)="dp.clearDate()">
                                <i class="ion ion-md-close"></i>
                            </button>
                        </span> -->

                    </div>
                </li>
            </ul>
       </div>
    </div>
</div>
